> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# RequestEnvelopeWithDocumentFields

The RequestEnvelopeWithDocumentFields call is similar to the RequestStatus call. It returns the API Envelope object containing all the envelope data, including the document custom DocumentFields. The envelope must be owned by the API user.

### Schema

| Name                 | Schema Type | Description                                                                   |
| -------------------- | ----------- | ----------------------------------------------------------------------------- |
| EnvelopeID           | String      | The Envelope ID for the requested envelope.                                   |
| IncludeDocumentBytes | Boolean     | If set to true the document bytes are returned with the envelope information. |

### Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AddMembersToAccount"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap: Body>
    <RequestEnvelopeWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
      <EnvelopeID>string</EnvelopeID>
      <IncludeDocumentBytes>boolean</IncludeDocumentBytes>
    </RequestEnvelopeWithDocumentFields>
  </soap:Body>
</soap:Envelope>
```

The response returns the requested Envelope object, including the document custom DocumentFields.